Bug 118007 - Missing symbolic links in /usr/X11R6/lib libX11.so
Missing symbolic links in /usr/X11R6/lib libX11.so
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 18:17 EST by John E. Bossom
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 04:19:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John E. Bossom 2004-03-10 18:17:26 EST
Description of problem:
We have just installed RedHat Linux Enterprise Edition ES 3.0
and attempted to perform our first compile using 
-L/usr/X11R6/lib -lX11

and received the error that the library libX11.so did not exist.
Upon examining the above folder, we discover that there are
no symbolic links from libx.so to libx.so.m at all,
where x is the library base and m is the major version #.

I have not found any existing bug description specific to this,
nor have I found any errata that specifically addresses this.

Our previous version (RedHat Enterprise Server Edition 2.1 WS) did
have these symbolic links after applying an errata.


Version-Release number of selected component (if applicable):


How reproducible:
Install 3.0.
Look in /usr/X11R6/lib.
Notice that libX11.so is missing, where as libX11.so.6 is symbolically
linked to libX11.so.6.2.
Notice that there are no lib<x>.so symbolic links at all.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-03-11 04:03:19 EST
Nothing to do with the links package.  Changing component.
Comment 2 Mike A. Harris 2004-03-11 04:19:58 EST
You have to install XFree86-devel to get the development header
files and .so symlinks:

Original XFree86-devel package that ships with Red Hat
Enterprise Linux 3:

$ rpm -qlp XFree86-devel-4.3.0-35.EL.i386.rpm | grep .so$
/usr/X11R6/lib/libGL.so
/usr/X11R6/lib/libGLU.so
/usr/X11R6/lib/libICE.so
/usr/X11R6/lib/libOSMesa.so
/usr/X11R6/lib/libSM.so
/usr/X11R6/lib/libX11.so
/usr/X11R6/lib/libXTrap.so
/usr/X11R6/lib/libXaw.so
/usr/X11R6/lib/libXcursor.so
/usr/X11R6/lib/libXext.so
/usr/X11R6/lib/libXfont.so
/usr/X11R6/lib/libXft.so
/usr/X11R6/lib/libXi.so
/usr/X11R6/lib/libXmu.so
/usr/X11R6/lib/libXmuu.so
/usr/X11R6/lib/libXp.so
/usr/X11R6/lib/libXpm.so
/usr/X11R6/lib/libXrandr.so
/usr/X11R6/lib/libXrender.so
/usr/X11R6/lib/libXt.so
/usr/X11R6/lib/libXtst.so
/usr/X11R6/lib/libXv.so
/usr/X11R6/lib/libdps.so
/usr/X11R6/lib/libdpstk.so
/usr/X11R6/lib/libpsres.so
/usr/lib/libGL.so
/usr/lib/libGLU.so

Current erratum:

$ rpm -qlp XFree86-devel-4.3.0-55.EL.i386.rpm | grep .so$
/usr/X11R6/lib/libGL.so
/usr/X11R6/lib/libGLU.so
/usr/X11R6/lib/libICE.so
/usr/X11R6/lib/libOSMesa.so
/usr/X11R6/lib/libSM.so
/usr/X11R6/lib/libX11.so
/usr/X11R6/lib/libXTrap.so
/usr/X11R6/lib/libXaw.so
/usr/X11R6/lib/libXcursor.so
/usr/X11R6/lib/libXext.so
/usr/X11R6/lib/libXfont.so
/usr/X11R6/lib/libXft.so
/usr/X11R6/lib/libXi.so
/usr/X11R6/lib/libXmu.so
/usr/X11R6/lib/libXmuu.so
/usr/X11R6/lib/libXp.so
/usr/X11R6/lib/libXpm.so
/usr/X11R6/lib/libXrandr.so
/usr/X11R6/lib/libXrender.so
/usr/X11R6/lib/libXt.so
/usr/X11R6/lib/libXtst.so
/usr/X11R6/lib/libXv.so
/usr/X11R6/lib/libdps.so
/usr/X11R6/lib/libdpstk.so
/usr/X11R6/lib/libpsres.so
/usr/lib/libGL.so
/usr/lib/libGLU.so

Closing as 'NOTABUG'

Note You need to log in before you can comment on or make changes to this bug.